Page MenuHomePhabricator

Compress table watchlist_expiry
Closed, ResolvedPublic

Description

Once this table is created in production, let's compress InnoDB on it while it is empty.

@Mooeypoo can you let us know once this table is created?

Thanks!

Compression progress:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2020, 10:16 AM
Marostegui triaged this task as Medium priority.Feb 16 2020, 10:16 AM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.

Will do, @Marostegui ; FYI, I'm also tracking the creation of the table through this ticket: T244631: Create `watchlist_expiry` table in production after wmf.19 is available.

@Jdforrester-WMF has it on his list for after wmf.19 has stable'y passed through to production.

Subscribed! Thanks :)

Tables now created (and empty) on all wikis. Go ahead. :-)

Mentioned in SAL (#wikimedia-operations) [2020-02-19T06:17:35Z] <marostegui> Compress new and empty watchlist_expiry table - T245358

Marostegui updated the task description. (Show Details)Feb 19 2020, 6:30 AM

Mentioned in SAL (#wikimedia-operations) [2020-02-19T06:35:11Z] <marostegui> Compress watchlist_expiry table on s3 (this will take hours as I have left a 60 seconds sleep between tables) - T245358

Marostegui closed this task as Resolved.Feb 20 2020, 6:18 AM
Marostegui updated the task description. (Show Details)

All done